# Programmier-Werkzeug

Cornelius
Schumacher

     schumacher@kde.org

Waldo
Bastian

     bastian@kde.org

Zack
Rusin

     zack@kde.org

2006-06-01
K Desktop Environment
kconfig_compiler
1

# kconfig_compiler

KDE-Konfigurationscompiler

    kconfig_compiler Qt-options KDE-options options file.kcfg file.kcfgc

## Beschreibung

`kconfig_compiler` generiert C++-Quelltext aus zwei Dateien. Die erste Datei (.kcfg) enthält Informationen über die Einstellungsoptionen und die zweite Datei (,kcfgc) Einstellungen zur Quelltextgenerierung.

Der generierte Quelltext enthält eine von `KConfigSkeleton` abgeleitete Klasse mit Programmschnittstellen (API) für den Zugriff auf die Einstellungsdaten der Anwendung.

## Optionen

### Argumente:

file.kcfg

  Eingabedatei (kcfg) im XML-Format

file.kcfgc

  Datei mit Einstellungen zur Quelltextgenerierung

### Optionen

`-d, --directory <Ordner>`

  Ordner, in dem die Dateien generiert werden [.]

### Allgemeine Optionen:

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--help-qt`

  Spezielle Optionen für Qt anzeigen

`--help-kde`

  Spezielle Optionen für KDE anzeigen

`--help-all`

  Alle Optionen anzeigen

`--author`

  Zeigt Informationen über den Autor.

`-v, --version`

  Versionsinformation anzeigen

`--license`

  Lizenz-Informationen anzeigen

### KDE-Optionen

`--caption <Titel>`

  Verwendet 'Titel' als Name in der Titelzeile.

`--icon <Symbol>`

  „Symbol“ für die Anwendung benutzen

`--miniicon <Symbol>`

  „Symbol“ für die Anwendung benutzen

`--config <Dateiname>`

  Andere Einrichtungsdatei verwenden

`--dcopserver <Server>`

  Verwendet den unter 'Server' angegebenen DCOP-Server.

`--nocrashhandler`

  Abschalten des Crash-Handlers, damit Fehlerprotokolle (core dumps) erstellt werden.

`--waitforwm`

  Wartet auf einen Fenstermanager, der WM_NET-kompatibel ist.

`--style <Stil>`

  Legt den Stil der Anwendung fest

`--geometry <Geometrie>`

  Legt die Geometrie des Hauptelements im Client-Programm fest. Das Format für die Argumente finden Sie mit „man X“

### Qt-Optionen:

`--display <Anzeigename>`

  Verwendet die X-Server-Anzeige 'Anzeigename'.

`--session < Sitzungs-ID>`

  Wiederherstellung der Anwendung für die angegebene 'Sitzungs-ID'.

`--cmap`

  Bewirkt, dass die Anwendung auf einem 8-Bit-Display eine eigene Farbtabelle anlegt.

`--ncols <Anzahl>`

  Beschränkt die Anzahl der Farben auf einem 8-Bit-Display, wenn die Anwendung die Farbspezifikation `QApplication::ManyColor` verwendet.

`--nograb`

  Verhindert, dass Qt die Maus oder die Tastatur einfängt.

`--sync`

  Wechselt zum Debuggen in den Synchronmodus.

`--fn, --font <Schriftname>`

  Legt die Schriftart für die Anwendung fest.

`--bg, --background <Farbe>`

  Legt die Standardhintergrundfarbe und eine Farbpalette für die Anwendung fest (helle und dunkle Schattierungen werden berechnet).

`--fg, --foreground <Farbe>`

  Legt die Standardvordergrundfarbe fest.

`--btn, --button <Farbe>`

  Legt die Standardfarbe für Knöpfe fest.

`--name <Name>`

  Legt den Namen der Anwendung fest

`--title <Titel>`

  Legt den Titel der Anwendung fest (Fenstertitel)

`--visual TrueColor`

  Erzwingt die Verwendung von Echtfarben auf einer 8-Bit-Anzeige

`--inputstyle <Eingabestil>`

  Legt den Eingabestil von XIM (X Input Method) fest. Mögliche Werte sind onthespot, overthespot, offthespot und root.

`--im <XIM-Server>`

  Legt den XIM-Server fest

`--noxim`

  XIM abschalten

`--reverse`

  Ordnet sämtliche Bedienelemente spiegelverkehrt an

## Siehe auch

`http://developer.kde.org`

  KDE-Entwickler-Webseite

## Fehler

Bitte verwenden Sie bugs.kde.org für Fehlerberichte, schicken Sie keine E-Mails direkt an die Autoren.